/ lang / cfloat
CFloat
Syntax

    Float = CFloat ( Expression AS Variant ) AS Float
    Float = CFlt ( Expression AS Variant ) AS Float

Converts an expression into a floating point number.

| Be careful! The current localization is not used by this function. This means: If the expression is a string, the decimal separator in the expression MUST be ".", even if in the localization there is defined "," as decimale separator (as in germany)

### Errors

Message | Description
--- | ---
Type mismatch (#6) | Expression cannot be converted.

### Examples

    PRINT CFloat("+3.1416")
    <hr>3.1416

    PRINT CFloat("1.0E+3")
    <hr>1000

### See also

Conversion Functions